Name:          sshj
Version:       0.8.1
Release:       4%{?dist}
Summary:       SSHv2 library for Java
Group:         Development/Libraries
License:       ASL 2.0
URL:           http://schmizz.net/sshj/
# git clone git://github.com/shikhar/sshj.git sshj-0.8.1
# cd sshj-0.8.1 && git archive --format=tar --prefix=sshj-0.8.1/ v0.8.1 | xz > sshj-0.8.1.tar.xz
Source0:       %{name}-%{version}.tar.xz

Patch0:        %{name}-0.8.0-use-jzlib-as-system-dependency.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-sshd
BuildRequires: bouncycastle
BuildRequires: jzlib
BuildRequires: slf4j

# test deps
BuildRequires: junit
BuildRequires: logback
BuildRequires: mockito

BuildRequires: maven-local
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      apache-sshd
Requires:      bouncycastle
Requires:      jzlib
Requires:      slf4j

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
SSH, scp and sftp library for Java.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0

# Some classes moved from JUnit to hamcrest
sed -i -e 's/org.junit.internal.matchers/org.hamcrest.core/' src/test/java/net/schmizz/sshj/transport/verification/OpenSSHKnownHostsTest.java

%build

mvn-rpmbuild -D_javadir=%{_javadir} install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc CONTRIBUTORS LICENSE NOTICE README.rst

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE NOTICE

%changelog
* Mon Apr 22 2013 Tomas Radej <tradej@redhat.com> - 0.8.1-4
- Fixed tests for new JUnit and hamcrest

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.8.1-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jul 25 2012 gil cattaneo <puntogil@libero.it> 0.8.1-1
- Update to 0.8.1

* Mon Jul 02 2012 gil cattaneo <puntogil@libero.it> 0.8.0-1
- initial rpm
